# wellview-sdk-api
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.1
- Package version: 1.0.1
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import wellview_sdk_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import wellview_sdk_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import wellview_sdk_api
from wellview_sdk_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
library_name = 'library_name_example' # str | 

try:
    # GetWellViewLibrary
    api_response = api_instance.getwellviewlibrary(library_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->getwellviewlibrary: %s\n" % e)

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
library_name = 'library_name_example' # str | 

try:
    # GetWellViewLibraryTable
    api_response = api_instance.getwellviewlibrarytable(library_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->getwellviewlibrarytable: %s\n" % e)

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
table_names = 'table_names_example' # str | 

try:
    # GetWellViewTableStructure
    api_response = api_instance.getwellviewtablestructure(table_names)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->getwellviewtablestructure: %s\n" % e)

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
body = wellview_sdk_api.WellViewTableStructure() # WellViewTableStructure |  (optional)

try:
    # WriteData
    api_response = api_instance.writedata(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->writedata: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to * https://localhost/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**getwellviewlibrary**](docs/DefaultApi.md#getwellviewlibrary) | **GET** /GetWellViewLibrary | GetWellViewLibrary
*DefaultApi* | [**getwellviewlibrarytable**](docs/DefaultApi.md#getwellviewlibrarytable) | **GET** /GetWellViewLibraryTable | GetWellViewLibraryTable
*DefaultApi* | [**getwellviewtablestructure**](docs/DefaultApi.md#getwellviewtablestructure) | **GET** /GetWellViewTableStructure | GetWellViewTableStructure
*DefaultApi* | [**writedata**](docs/DefaultApi.md#writedata) | **POST** /WriteData | WriteData

## Documentation For Models

 - [WVTable](docs/WVTable.md)
 - [WellViewLibrary](docs/WellViewLibrary.md)
 - [WellViewLibraryTable](docs/WellViewLibraryTable.md)
 - [WellViewTableAction](docs/WellViewTableAction.md)
 - [WellViewTableActionData](docs/WellViewTableActionData.md)
 - [WellViewTableActionEnum](docs/WellViewTableActionEnum.md)
 - [WellViewTableStructure](docs/WellViewTableStructure.md)

## Documentation For Authorization


## bearerAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author


